/* These classes are defined to allow checking of location type with the
instanceof operator. */

class Location {}

// Location types
class City extends Location {
    constructor(id) {
        super();
        this.id = id;
    }
}

class State extends Location {
    constructor(id) {
        super();
        this.id = id;
    }
}

class Region extends Location {
    constructor(id) {
        super();
        this.id = id;
    }
}

const locations = {
    location: Location,
    city: City,
    state: State,
    region: Region };

module.exports = locations;
